﻿@model BusinessInterest
@{
    List<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
    List<SelectListItem> FirmOwnershipOf = ViewBag.FirmOwnershipOf;
    var op = ViewBag.IsAdd;
}
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id>0?"Edit" :"Add") Business Interest</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form asp-action="saveBusinessInterest" class="form fv-plugins-bootstrap fv-plugins-framework" id="BusinessInterestInfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompletebusiness">
            <div class="modal-body">
                <div class="min-h-350px">
                    <input asp-for="Guid" />
                    @if (op == "Edit")
                    {
                        <div class="row">
                            <div class="col-xl-4">
                                <div class="form-group">
                                    <label asp-for="businessInterestOf"></label>
                                    <select class="form-control form-control-lg disabled" asp-for="businessInterestOf">
                                        @foreach (var item in EmploymentOf)
                                        {
                                            <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected" disabled="@item.Disabled">@item.Text</option>
                                        }
                                    </select>
                                    <span asp-validation-for="businessInterestOf" class="text-danger"></span>
                                </div>
                            </div>
                        </div>
                    }
                    else
                    {
                        <div class="row">
                            <div class="col-xl-4">
                                <div class="form-group">
                                    <label asp-for="businessInterestOf"></label>
                                    <select class="form-control form-control-lg" asp-for="businessInterestOf">
                                        @foreach (var item in EmploymentOf)
                                        {
                                            <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected" disabled="@item.Disabled">@item.Text</option>
                                        }
                                    </select>
                                    <span asp-validation-for="businessInterestOf" class="text-danger"></span>
                                </div>
                            </div>
                        </div>
                    }
                    <div class="row">
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="BusinessName"></label>
                                <input asp-for="BusinessName" class="form-control form-control-lg capitalize">
                                <span asp-validation-for="BusinessName" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="EntityFirmEnum"></label>
                                <select class="form-control form-control-lg" asp-for="EntityFirmEnum" asp-items="EnumHelper.GetEnumSelectList<EntityFirmEnum>()">
                                </select>
                                <span asp-validation-for="EntityFirmEnum" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="FirmOwnershipEnum"></label>
                                <select class="form-control form-control-lg" asp-for="FirmOwnershipEnum">
                                    @foreach (var item in FirmOwnershipOf)
                                    {
                                        <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected" disabled="@item.Disabled">@item.Text</option>
                                    }
                                </select>
                                <span asp-validation-for="FirmOwnershipEnum" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="AmountOfOwnership"></label>
                                <input asp-for="AmountOfOwnership" class="form-control form-control-lg percentage">
                                <span asp-validation-for="AmountOfOwnership" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="FMVofBusiness"></label>
                                <input asp-for="FMVofBusiness" class="form-control form-control-lg currency" type="text">
                                <span asp-validation-for="FMVofBusiness" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="PBValueatRetirement"></label>
                                <input asp-for="PBValueatRetirement" class="form-control form-control-lg currency" type="text">
                                <span asp-validation-for="PBValueatRetirement" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group m">
                        <div class="d-flex">
                            <div class="align-self-center mr-2">
                                <span class="switch switch-icon switch-sm switch-custom">
                                    <label>
                                        <input type="checkbox" asp-for="BSContractCurrently">
                                        <span></span>
                                    </label>
                                </span>
                            </div>
                            <label class="switch-label col-form-label" asp-for="BSContractCurrently">
                                Buy/Sell Contract Currently in Place?
                            </label>
                        </div>
                    </div>
                    <div class="form-group m bscontract">
                        <div class="d-flex">
                            <div class="align-self-center mr-2">
                                <span class="switch switch-icon switch-sm switch-custom">
                                    <label>
                                        <input type="checkbox" asp-for="FundedLifeIns">
                                        <span></span>
                                    </label>
                                </span>
                            </div>
                            <label class="switch-label col-form-label" asp-for="FundedLifeIns">
                                Funded Life Insurance?
                            </label>
                        </div>
                    </div>
                    <div class="row bscontract">
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="LastReviewedEnum"></label>
                                <select class="form-control form-control-lg" asp-for="LastReviewedEnum" asp-items="EnumHelper.GetEnumSelectList<LastReviewedEnum>()">
                                </select>
                                <span asp-validation-for="LastReviewedEnum" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="closelyheldbusinessEnum"></label>
                                <select class="form-control form-control-lg" asp-for="closelyheldbusinessEnum" asp-items="EnumHelper.GetEnumSelectList<CloselyHeldBusinessEnum>()">
                                </select>
                                <span asp-validation-for="closelyheldbusinessEnum" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_adviser">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script id="business-template" type="text/html">
    {{if action=="add"}}
    <div class="card card-custom gutter-b shadow-none business-card bg-gray-100 business-info-div" id="businessinterest-info-div-${businessInterestInfo.guid}" style="border:1px solid ${businessInterestInfo.color}">
        {{/if}}
        <div class="card-header heir-header" style="background: ${businessInterestInfo.color}">
            <span class="card-title font-weight-bold font-size-h4 text-white">
                ${businessInterestInfo.businessName} - ${businessInterestInfo.businessInterestOfEnumString}
            </span>
            <div class="card-toolbar m-0">
                <div class="example-tools">
                    <button class="btn btn-icon btn-sm btn-businessInterest-edit" data-guid="${businessInterestInfo.guid}">
                        <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                    </button>
                    <button class="btn btn-icon btn-sm btn-businessInterest-delete" data-guid="${businessInterestInfo.guid}">
                        <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="font-size-h6">
                <div class="d-flex justify-content-between align-items-center">
                    <span class="col-md-6 text-dark font-weight-bold align-self-start p-0">Entity Firm:</span>
                    <span class="col-md-6 p-0">${businessInterestInfo.entityFirmString}</span>
                </div>
                <div class="d-flex justify-content-between align-items-center">
                    <span class="col-md-6 text-dark font-weight-bold p-0">Firm Ownership:</span>
                    <span class="col-md-6 p-0">${businessInterestInfo.firmOwnerShipString}</span>
                </div>
                <div class="d-flex justify-content-between align-items-center">
                    <span class="col-md-6 text-dark font-weight-bold p-0">Amount of Ownership(%):</span>
                    <span class="col-md-6 p-0">${Number(businessInterestInfo.amountOfOwnership).toFixed(2)}%</span>
                </div>
                <div class="d-flex justify-content-between align-items-center">
                    <span class="col-md-6 text-dark font-weight-bold p-0">Fair Market Value:</span>
                    <span class="col-md-6 p-0">${currencyFormat.format(businessInterestInfo.fmVofBusiness)}</span>
                </div>
                {{if businessInterestInfo.lastReviewedEnum > 0 }}
                <div class="d-flex justify-content-between align-items-center">
                    <span class="col-md-6 text-dark font-weight-bold p-0">Last Reviewed:</span>
                    <span class="col-md-6 p-0">${businessInterestInfo.lastReviewedEnumString}</span>
                </div>
                {{/if}}
                <div class="d-flex justify-content-between align-items-center">
                    <span class="col-md-6 text-dark font-weight-bold p-0">Plans for Closely Held Business?</span>
                    <span class="col-md-6 p-0">${businessInterestInfo.closelyheldbusinessEnumString}</span>
                </div>
                <div class="d-flex justify-content-between align-items-center">
                    <span class="col-md-6 text-dark font-weight-bold p-0">Projected Value at Retirement:</span>
                    <span class="col-md-6 align-self-end p-0">${currencyFormat.format(businessInterestInfo.pbValueatRetirement)}</span>
                </div>
                <div class="d-flex justify-content-between align-items-center">
                    <span class="col-md-6 text-dark font-weight-bold p-0">Buy/Sell Contract Currently in Place?</span>
                    <span class="col-md-6 align-self-end p-0">${getActiveOrNot(businessInterestInfo.bsContractCurrently)}</span>
                </div>
                {{if businessInterestInfo.bsContractCurrently == true }}
                <div class="d-flex justify-content-between align-items-center">
                    <span class="col-md-6 text-dark font-weight-bold p-0">Funded Life Insurance?</span>
                    <span class="col-md-6 align-self-end p-0">${getActiveOrNot(businessInterestInfo.fundedLifeIns)}</span>
                </div>
                {{/if}}
            </div>
        </div>
        {{if action=="add"}}
    </div>
    {{/if}}
</script>
<script type="text/javascript">
    var showHideBSContractCurrently = function (bscontract, target) {
        if (bscontract == true)
        {
            $(`.${target}`).removeClass("d-none");
        }
        else {
            $(`.${target} .form-control`).val("");
            $(`.${target}`).addClass("d-none");
            $("#FundedLifeIns").val(false);
        }
    }
    setTimeout(function () {
        KTApp.unblockPage();
        $("#BusinessInterestModal").modal({ backdrop: 'static' });
        var chk = $("#BSContractCurrently").is(":checked");
        showHideBSContractCurrently(chk, "bscontract");
    }, 2000);
    $("#BSContractCurrently").change(function () {
        var chk = $(this).is(":checked");
        showHideBSContractCurrently(chk, "bscontract")
    });
    $("#FundedLifeIns").change(function () {
        if ($("#FundedLifeIns").is(":checked")) {
            $("#FundedLifeIns").val(true);
        }
        else {
            $("#FundedLifeIns").val(false);
        }
    });

    var onFormCompletebusiness = function (response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        var responseObj = JSON.parse(response.responseText);
        var businessinfo = responseObj.data.businessInterestInfo;
        businessinfo.color = businessinfo.businessInterestOf == ClientType.CLIENT? "#b00022" : "#008080";
        if (responseObj) {
            if (responseObj.success) {
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                var div = $(`#businessinterest-info-div-${businessinfo.guid}`)
                if (div.length > 0)
                    $(`#businessinterest-info-div-${businessinfo.guid}`).html($("#business-template").tmpl(responseObj.data));
                else {
                    responseObj.data.action = "add";
                    if ($(`#businessinterest-info-div-${businessinfo.guid}`).length == 0)
                        $(`#businessInterest-main-div`).append(`<div id="bussiness-${businessinfo.businessInterestOf}" />`);
                    $(`#bussiness-${businessinfo.businessInterestOf}`).prepend($("#business-template").tmpl(responseObj.data));
                }
                toastr.clear();
                toastr.options = toastrOptions;
                toastr.success(responseObj.message);
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    };
</script>